<?php /* Custom widget for the dashboard */ ?>
<div id="site-owner-dashboard">
  <h1>Site Owner Dashboard</h2>
  <p>As a Thrive client, we want your website experience to be as easy as possible. We've included documentation and links to help you with managing your website.</p>
  <h2>Website Documentation</h2>
  <p>Coming soon!</p>
  <h2>Website Request</h2>
  <p>If you subscribe to our Content Maintenance Package, we'll take care of many of the updates that you need - all included, and taken care of within 2 business days. Send us the details below!</p>
  <textarea id="cmp-request" rows="6"></textarea>
  <button id="submit-cmp-request">Submit Request</button>
  <h2>Website Accessibility</h2>
  <p>You've probably already heard about website accessibility and how it can help all users experience your content. As a website owner, you need to follow the minimum requirements according to the law. This is called ADA compliance. While we do provide full accessibility services, we offer a cheaper alternative through a partner.</p>
  <a href="https://accessibe.com/a/thrive" target="_blank">Save 10% on ADA Compliance</a>
  <h2>Quick Links</h2>
  <ul id="quick-links-list">
      <li><a href="/wp-admin/post-new.php">Create New Post</a></li>
      <li><a href="/wp-admin/post-new.php?post_type=page">Create New Page</a></li>
      <li><a href="/wp-admin/media-new.php">Upload Media</a></li>
      <li><?php echo get_latest_post_link(); ?></li>
      <li><?php echo get_latest_page_link(); ?></li>
      <form method="post">
        <li><input type="submit" name="unhideAdminTools" value="TODO: Unhide Admin Tools"/></li>
        <?php
            if(isset($_POST['unhideAdminTools'])) {
                echo "This is unhideAdminTools that is selected";
                unhide_menus();
            }
        ?>
      </form>
  </ul>
  <h2>Website Checklist <span class="small-text">(Admin only)</span></h2>
  <ul id="website-checklist">
    <li>
    <?php
    /**
     * Discourage Search Engines checked?
     */
    if( 0 == get_option( 'blog_public' ) ) { echo '❌Search engines discouraged'; }
    else { echo '✔️Search engines NOT discouraged'; }
    ?>
    </li>
    <!-- Sitemap & Robots.txt on site? -->
    <li>
      <?php
      $checkForFiles = array('sitemap-index.txt','sitemap.xml', 'robots.txt');

      $host = get_home_url();
      /* $host = 'http://php.net/'; <-- can use this to check what a working site looks like. */

      foreach($checkForFiles as $file){
          $url = $host . $file;

          $ch = curl_init ($url);
          curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
          curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
          curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
          curl_setopt($ch, CURLOPT_HEADER, 1);

          $output = curl_exec ($ch);

          if(curl_getinfo($ch)['http_code'] != 200){
              echo '<li>❌' . $file . ' does not exist on ' . $host . '</li>';
          }else{
              echo '<li>✔️' . $file . ' does exist on <a target="_blank" href="'.$host . $file.'">' . $host . $file .'</a>' . '</li>';
          }

          curl_close($ch);
        }
      ?>
    </li>
    <li>TODO: Check for installation of Google Analytics</li>
    <li>
      <?php
      /**
       * Check for installation of Google Analytics (or Google Tag Manager)
       */
      include_once( ABSPATH . 'wp-admin/includes/plugin.php' );

      // check Google Tag Manager
      if ( is_plugin_active( 'duracelltomi-google-tag-manager/duracelltomi-google-tag-manager-for-wordpress.php' ) ) {
          echo '✔️ Google Tag Manager is active';
      } else {
          echo '❌ Google Tag Manager is NOT active';
      }

      ?>
    </li>
    <li>TODO: Check for 404 errors - this one may have to wait on the back burner but maybe there's a plugin/script that can be installed to do this?</li>
  </ul>
</div>
